org.jgroups.jmx

## Class JmxConfigurator

- java.lang.Object
- - org.jgroups.jmx.JmxConfigurator

-     public class JmxConfigurator
      extends java.lang.Object

  Author:
    Bela Ban, Vladimir Blagojevic

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JmxConfigurator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.management.DynamicMBean` | `asDynamicMBean(JChannel ch)` Deprecated.
    `javax.management.DynamicMBean` | `asDynamicMBean(Protocol p)` Deprecated.
    `static void` | `register(java.lang.Object obj, javax.management.MBeanServer server, java.lang.String name)`
    `static void` | `registerChannel(JChannel channel, javax.management.MBeanServer server, java.lang.String name)` Registers an already created channel with the given MBeanServer.
    `static void` | `registerChannel(JChannel channel, javax.management.MBeanServer server, java.lang.String domain, java.lang.String cluster_name, boolean register_protocols)` Registers an already created channel with the given MBeanServer.
    `static void` | `registerChannelFactory(JChannelFactory factory, javax.management.MBeanServer server, java.lang.String name)`
    `static void` | `unregister(javax.management.MBeanServer server, java.lang.String object_name)` Unregisters object_name and everything under it
    `static void` | `unregister(java.lang.Object obj, javax.management.MBeanServer server, java.lang.String name)`
    `static void` | `unregisterChannel(JChannel c, javax.management.MBeanServer server, java.lang.String clusterName)`
    `static void` | `unregisterChannel(JChannel c, javax.management.MBeanServer server, java.lang.String domain, java.lang.String clusterName)`
    `static void` | `unregisterChannel(javax.management.MBeanServer server, javax.management.ObjectName name)`
    `static void` | `unregisterChannel(javax.management.MBeanServer server, java.lang.String name)`
    `static void` | `unRegisterChannelFactory(JChannelFactory factory, javax.management.MBeanServer server, java.lang.String name)`
    `static javax.management.DynamicMBean` | `wrap(JChannel ch)` Wrap JChannel with DynamicMBean interface.
    `static javax.management.DynamicMBean` | `wrap(Protocol p)` Wrap Protocol with DynamicMBean interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JmxConfigurator

          public JmxConfigurator()

  - ### Method Detail

    - #### registerChannel

          public static void registerChannel(JChannel channel,
                             javax.management.MBeanServer server,
                             java.lang.String domain,
                             java.lang.String cluster_name,
                             boolean register_protocols)
                                      throws java.lang.Exception

      Registers an already created channel with the given MBeanServer. Wraps instance of JChannel with DynamicMBean and delegates all calls to the actual JChannel wrapped.

      Optionally, this method will also wrap each protocol in the given channel with DynamicMBean and register it as well.

      Parameters:
        `channel` -
        `server` -
        `domain` - Has to be a JMX ObjectName of the domain, e.g. DefaultDomain:name=JGroups
        `register_protocols` -
      Throws:
        `java.lang.Exception`

    - #### registerChannel

          public static void registerChannel(JChannel channel,
                             javax.management.MBeanServer server,
                             java.lang.String name)
                                      throws java.lang.Exception

      Registers an already created channel with the given MBeanServer. Wraps instance of JChannel with DynamicMBean and delegates all calls to the actual JChannel wrapped.

      This method will also wrap each protocol in the given channel with DynamicMBean and register it as well.

      Parameters:
        `channel` -
        `server` -
        `domain` - Has to be a JMX ObjectName of the domain, e.g. DefaultDomain:name=JGroups
      Throws:
        `java.lang.Exception`

    - #### unregisterChannel

          public static void unregisterChannel(javax.management.MBeanServer server,
                               javax.management.ObjectName name)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### unregisterChannel

          public static void unregisterChannel(javax.management.MBeanServer server,
                               java.lang.String name)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### unregisterChannel

          public static void unregisterChannel(JChannel c,
                               javax.management.MBeanServer server,
                               java.lang.String clusterName)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### unregisterChannel

          public static void unregisterChannel(JChannel c,
                               javax.management.MBeanServer server,
                               java.lang.String domain,
                               java.lang.String clusterName)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### registerChannelFactory

          public static void registerChannelFactory(JChannelFactory factory,
                                    javax.management.MBeanServer server,
                                    java.lang.String name)
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### unRegisterChannelFactory

          public static void unRegisterChannelFactory(JChannelFactory factory,
                                      javax.management.MBeanServer server,
                                      java.lang.String name)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### register

          public static void register(java.lang.Object obj,
                      javax.management.MBeanServer server,
                      java.lang.String name)
                               throws javax.management.MBeanRegistrationException,
                                      javax.management.MalformedObjectNameException

      Throws:
        `javax.management.MBeanRegistrationException`
        `javax.management.MalformedObjectNameException`

    - #### unregister

          public static void unregister(java.lang.Object obj,
                        javax.management.MBeanServer server,
                        java.lang.String name)
                                 throws javax.management.MBeanRegistrationException,
                                        javax.management.MalformedObjectNameException

      Throws:
        `javax.management.MBeanRegistrationException`
        `javax.management.MalformedObjectNameException`

    - #### asDynamicMBean

          @Deprecated
          public javax.management.DynamicMBean asDynamicMBean(JChannel ch)

      Deprecated.

    - #### asDynamicMBean

          @Deprecated
          public javax.management.DynamicMBean asDynamicMBean(Protocol p)

      Deprecated.

    - #### wrap

          public static javax.management.DynamicMBean wrap(JChannel ch)

      Wrap JChannel with DynamicMBean interface. All annotated attributes and methods will be exposed through DynamicMBean API.
      Parameters:
        `ch` - channel to be wrapped
      Returns:
        Channel ch wrapped as a DynamicBean
      See Also:
        `ManagedAttribute`, `ManagedOperation`

    - #### wrap

          public static javax.management.DynamicMBean wrap(Protocol p)

      Wrap Protocol with DynamicMBean interface. All annotated attributes and methods will be exposed through DynamicMBean API.
      Parameters:
        `p` - protocol to be wrapped
      Returns:
        Protocol p as a DynamicMBean
      See Also:
        `ManagedAttribute`, `ManagedOperation`

    - #### unregister

          public static void unregister(javax.management.MBeanServer server,
                        java.lang.String object_name)
                                 throws java.lang.Exception

      Unregisters object_name and everything under it
      Parameters:
        `object_name` -
      Throws:
        `java.lang.Exception`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.